S4B Photo Studio

Soft4Boost Help

S4B Photo Studio

www.sorentioapps.com

© Sorentio Systems, Ltd. All rights reserved


Contact Us

If you have any comments, suggestions or questions regarding S4B Photo Studio or if you have a new feature that you feel can be added to improve our product, please feel free to contact us.

When you register your product, you may be entitled to technical support.

General information: | info@soft4boost.com
Technical support: | support@soft4boost.com
Sales: | sales@soft4boost.com

Technical Support

S4B Photo Studio do not require any professional knowledge. If you experience any problem or have a question, please refer to the S4B Photo Studio Help. If you cannot find the solution, please contact our support staff.

Note: only registered users receive technical support

S4B Photo Studio provides several forms of automated customer support

S4B Photo Studio Support System You can use the Support Form on our site to ask your questions.

E-mail Support

You can also submit your technical questions and problems via e-mail to

support@soft4boost.com

Note: for more effective and quick resolving of the difficulties we will need the following information: Name and e-mail address used for registration System parameters (CPU, hard drive space available, etc.) Operating System Detailed step by step describing of your action


Resources

Documentation for S4B Photo Studio is available in a variety of formats:

In-product (.chm-file) and Online Help:

You will be able to use help file (.chm) through the Help menu of the installed S4B Photo Studio.

Online Help include all the content from the In-product help file and updates and links to additional instructional content available on the web. You can find the Support at our web-site -http://sorentioapps.com. Please note, that the most complete and up-to-date version of S4B Photo Studio help is always on the web.

PDF Documentation

The offline help is also available as a pdf-file that is optimized for printing. PDF help file is available for download at the program page at S4B Photo Studio web-site. To be able to read and print S4B Photo Studio PDF help file you will need to have a PDF reading program installed.

User Guides

You have access to a wide variety of resources that help you make S4B Photo Studio. The stepby-step user guides will be of help not only to the novice users but also to the users that face a certain task to be performed and look for a way to do it. Please, visit our Support section of S4B Photo Studio web-site at to read the detailed instructions for various software and tasks.

Technical Support

Visit the Support at our web-site http://sorentioapps.com to ask your questions concerning S4B Photo Studio installation, registration and use. Feel free to also use our e-mail address

support@soft4boost.com

Downloads

Visit the Downloads section of our web-site to find free updates, tryouts, and other useful software. We constantly update the software, new versions of the most popular programs and new software are also frequently released.


Overview

S4B Photo Studio is a special utility with a user friendly interface and a lot of useful tools and functions to edit your photos. S4B Photo Studio offers everything for you to excite your fantasy, achieve the best results and simply enjoy the process.

Using S4B Photo Studio you can quickly and easily perform the following tasks:

- use the convenient folders tree on the Browse Tab to find the directory or image you need;
- switch between different photo view modes using the Global Zoom;
- view information about the image file you are editing;
- apply ready photo correction presets to give an individual touch to each image;
- adjust color as well as brightness and contrast in your photos;
- correct tonal range in your images and have a look at the Image Histogram to learn what exactly has changed in the tone representation;
- save the adjustments made as a preset;
- apply vignettes to your images to draw attention to their center;
- add a text or image watermark to your photos to protect your copyrights;
- use the Red Eye Correction option to bring eyes their natural color back;
- select the Retouch or Brush tool to perform a certain editing task;

- crop your photos as you like;

- compare your images before and after editing;
- print the edited photos after setting the paper format, their size and position on a sheet.

To start Photo Studio go to Start menu and choose All Programs -> Soft4Boost -> Photo Studio -> Photo Studio


Introduction into Digital Images

The first digital image was made on a computer in 1957 and showed researcher Russell Kirsch's baby son. Since then the era of imaging technologies has begun – satellite imaging, CAT scans, bar codes on packaging, desktop publishing, digital photography etc. sprang from this grainy image.

A digital image is a representation of a two-dimensional image using ones and zeros. Depending on whether or not the image resolution is fixed, it may be of vector or raster type:

– A vector graphics image is an image created using geometrical primitives such as points, lines, curves and polygons, which are all based on mathematical equations.
– A raster graphics image or bitmap is a data structure representing a generally rectangular grid of pixels, or points of color. Raster graphics is typically used for the representation of photographic images.

Raster images have a finite set of digital values, called picture elements or pixels. The digital image contains a fixed number of rows and columns of pixels. Pixels are the smallest individual element in an image, holding quantized values that represent the brightness of a given color at any specific point. Typically, the pixels are stored in computer memory as a raster map, a two-dimensional array of small integers. These values are often transmitted or stored in a compressed form.

Raster Image Types

Each pixel of a raster image is typically associated to a specific position in some 2D region, and has a value consisting of one or more quantities related to that position. Digital images can be classified according to number and nature of those samples:

A binary image has only two possible values for each pixel. Typically the two colors used for a binary image are black and white though any two colors can be used.

In a grayscale image the value of each pixel is a single sample, it carries only intensity information. Images of this sort are composed exclusively of shades of gray, varying from black at the weakest intensity to white at the strongest.

A color image includes color information for each pixel. Each pixel has three samples, which are interpreted as coordinates in some color space.

In a false-color image the correspondence between subject color and image color is altered. The opposite of it is a true-color image that appears to the human eye just like the original subject would.

A multi-spectral image captures image data at specific frequencies across the electromagnetic spectrum. It was originally developed for space-based imaging.

Raster images can also be classified by the number of bits used to represent the color of a single pixel, in other words, by color depth:

– 1-bit monochrome - typically the two colors used for a binary image are black and white, though any two colors can be used.
– 8-bit greyscale - greyscale images have many shades of grey in between in comparison with one-bit black-and-white images.
– 8-bit color - the maximum number of colors that can be displayed at any one time is 256.
– 15/16-bit color (highcolor) - it allows 32,768/ 65,536 possible colors for each pixel.
– 24-bit color (truecolor) - it means at least 256 shades of red, green, and blue, for a total of at least 16,777,216 color variations.
– 30/36/48-bit color (deepcolor) - anything superior to truecolor, typically over a billion colors; the xvYCC, sRGB, and YCbCr color space can be used with deepcolor systems.


Program Interface

S4B Photo Studio has an intuitive interface, where you can capture everything with only one look:

S4B Photo Studio consists of a single window that comprises the following elements:

Main Menu – is used to get access to all the main functions and features of the program.

Preview Area – is used to view your photos and work on them by applying the editing tools offered in the program.

Browse Tab – is used to navigate through the files and folders system of your computer, network or removable media, view information about the image file you are editing and adjust the zoom level.

Edit Tab – is used to edit images using the available editing tools, adjustment menu and image histogram.

Print Tab – is used to adjust print settings.

Navigation Panel – is used to find the needed photo from the opened folder.


Main Menu

The S4B Photo Studio application can be operated with the help of Main Menu elements. Flexible system of menu elements is a perfect tool for navigating and operating the application, controlling all the processes.

The Main Menu has the following structure:

 | File Menu Section
Open | Ctrl+O | Use it to open the needed folder and load all the photos from it into the program for editing.
Open Recent |  | Use it to open the previously saved or opened photo to edit it. Together with the selected image the entire folder will be loaded into the program.
Save | Ctrl+S | Use it to save the currently edited photo.
Save As | Shift+Ctrl+S | Use it to save the currently edited photo under a different name or into another folder.
Save All Changes |  | Use it to save the changes made to all images from the current folder.
Save All Changes To... |  | Use it to save the edited images from the current folder into another folder.
Exit | Alt+F4 | Use it to finish work with S4B Photo Studio and exit.
 | Edit Menu Section
Undo |  | Use it to reverse the latest performed command.
Redo |  | Use it to repeat the latest undone command.
Auto Correct |  | Use it to correct the selected photo automatically.
Rotate CCW |  | Use it to change the orientation of the imported photo (portrait to landscape and vice versa).
Rotate CW |  | Use it to change the orientation of the imported photo (portrait to landscape and vice versa).
Reset |  | Use it to bring the edited photo to its initial state. If you have already saved the changes made, this option will not be available.
Reset All |  | Use it to bring all edited photos to their initial state. If you have already saved the changes made, this option will not be available.
 | View Menu Section
Browse | Ctrl+B | Use it to open the Browse Tab and find a certain folder in your files and folders system, view thumbnails and information about the selected image.
Edit | Ctrl+E | Use it to open the Edit Tab and edit images using the available editing tools, adjustment menu and image histogram.
Print | Ctrl+P | Use it to open the Print Tab and adjust print settings.
Current Skin |  | Use it to change current skin.
Full Screen | Ctrl+F | Use it to switch to the Full Screen view.
Fit | Ctrl+1 | Use it to resize your image, so that the entire image fits within the Preview Area of the program window.
x1 | Ctrl+2 | Use it to view the edited photo in full size.
x3 | Ctrl+3 | Use it to view the edited photo at 300% zoom
After|Before | Ctrl+Tab | Use it to preview and compare the selected image before and after editing.
 | About Menu Section
Help | F1 | Use it to open the S4B Photo Studio help file.
Soft4Boost Home |  | Use it to visit the Soft4Boost web site.
Page |
Soft4Boost Support Page | Use it to open the Soft4Boost support page, where you can describe your problem or ask a question by filling out our support form.
Email us… | Use it to contact our support staff by e-mail.
About | Use it to read information about S4B Photo Studio as well as our license agreement, or to register and activate the program.


Preview Area

The Preview Area is the central part of the S4B Photo Studio window and is used to view your photos and work on them by applying the editing tools offered in the program. The Preview Area can look different depending on the tab opened:

Browse Tab

Edit Tab

Print Tab

Preview Area with the Browse Tab Opened

After opening the Browse Tab and selecting the folder containing the photos you want to edit, you will see thumbnails of these image files. You can switch to this view mode also by selecting the Browse option of the View section in the Main Menu.

At the top of the Preview Area the whole path to the currently selected image file is displayed, whereas at its bottom the toolbar is situated that comprises the following buttons:

Item | Description
Save All Changes | Is used to save the changes made to all images from the current folder.
Save All Changes To… | Is used to save the edited images from the current folder into another folder.
Reset All | Is used to revert all the changes made to all images from the current folder.
Full Screen | Is used to switch to the Full Screen view mode when an image occupies the entire screen.
Thumbnails Size | Is used to change the size of thumbnails that represent the image files shown in the Preview Area. By moving the indicator along the slider you can set the size you need.

By double-clicking a photo from the Preview Area the Edit Tab will be opened and the view mode will be changed.

Preview Area with the Edit Tab Opened

After opening the Edit Tab or selecting the Edit option of the View section in the Main Menu the Preview Area looks like in the figure given below. You can also switch to this view mode by double-clicking the corresponding thumbnail.

At the top of the Preview Area the whole path to the currently selected image file is displayed, whereas at its bottom the toolbar is situated that comprises the following buttons:

Item | Description
Rotate CW | Is used to change the imported photo orientation (portrait to landscape and vice versa).
Rotate CCW | Is used to change the imported photo orientation (portrait to landscape and vice versa).
After | Before | Is used to split the Preview Area into two parts that will display the original and the image after performing some editing operations. By clicking the arrow beside it you can select one of the available split modes.
Full Screen | Is used to switch to the Full Screen view mode when an image occupies the entire screen.
Size | Is used to change the zoom level of the image displayed in the Preview Area. By moving the indicator along the slider you can set the zoom level you need: one on screen, full size, 200%, 300%, 400%, 500%.

By double-clicking a photo from the Preview Area the view mode will be switched to the Full Screen.

Full Screen

You can switch to this view mode by clicking the Full Screen button at the Toolbar, selecting the corresponding option of the View section in the Main Menu, or double-clicking the image edited in the Preview Area with the left mouse button.

In this view mode the edited image will occupy the whole screen area. If you direct the mouse cursor to the bottom of the screen, you'll see the following buttons:

Item | Description
Rotate CW | Is used to change the imported photo orientation (portrait to landscape and vice versa).
Rotate CCW | Is used to change the imported photo orientation (portrait to landscape and vice versa).
Next | Is used to view the next photo displayed in the Navigation Panel.
Close Full Screen | Is used to return from Full Screen to the view mode, when one image is shown within the Preview Area.
Previous | Is used to view the previous photo displayed in the Navigation Panel.

To return to the program window, double-click the left mouse button, use the Close Full Screen button situated at the bottom of the screen, or press the Esc key.

Preview Area with the Print Tab Opened

You can switch to this view mode by opening the Print Tab or selecting the Print option of the View section in the Main Menu. In this view mode the edited image will occupy a certain area on a sheet of paper. At the top and on the left side of the Preview Area special rules with cm gradation are situated to help you place the image within this sheet.


Browse Tab

The Browse Tab is situated on the left side of the Program Window and is used to navigate through the files and folders system of your computer, network or removable media, view information about the image file you are editing and adjust the zoom level. It consists of the following sections:

Navigator

Folders File

Info

Navigator

It is used to navigate through the photo that is displayed within the Preview Area while using zoom. In the navigator you can see the entire picture and its part that is currently shown within the preview area.

Use the Global Zoom slider to zoom in and out the selected image. So if you zoom in the image, the image part visible in the preview area will be displayed within the white-outlined rectangle in the navigator. The global zoom has the following levels: thumbnails, one on screen, full size, 200%, 300%, 400%, 500%.

The navigator window can be hidden and then shown by clicking the upper bar.

Folders

This section is used to navigate through the files and folders system of your computer, network or removable media.

File Info

It is used to view information about the se lected image file. Here you can find the following data that you might need while editing the image:

File Size - size of the image file given in megabytes.

Creation Date - date and time when the image f ile was created (year: month: day hours: minutes: seconds) .

Dimensions - width and height of the image in pixels (dimensions in inches are given in brackets) .

Resolution - it describes detail an image holds, measured here in dots per inch (dpi) .

If you click the More Info... button you will see the whole list of image parameters:

Title - image name entered manually.

Author - person who took this picture.

Date Picture Taken - date and time wh en the photo was shot (year: month :day hours: minutes: seconds) .

Description - description of the image subject.

Copyright - copyright notice.

Disclaimer - statement intend ed to specify situations that involve some level of uncertainty, waiver, or risk.

Comment - additional information on the edited image.

Equipment Type - name of the still camera used to shoot this picture.

Equipment Model - model of the still camera used to shoot this photo.

Software ID - name of the software package used to create the image.

Version Number - version number of the software package used to create the image.

Version Letter - version letter of the software package used to create the image.

Host Computer - computer and/or operating system in use at the time of image cr eation.

Warning - warning about the image contents (available for .png image files only).

Document Name - name of a multi-page .tiff image file.

Exposure Time - time during which the film or sensor wa s exposed to light, given in seconds.

Exposure Compensation - feature that allows to adjust the automatically calculated exposur e (compensation can be either positive (additional exposure) or negative (reduced exposure)).

Exposure Program - class of the program used by the camera to set exposure when the pictu re is taken (the following programs can be used: not defined, manual, normal program, aperture priority, shutter priority, creative program, action program, portrait mode, landscape mode).

Shutter Speed - length of time the aperture remains open for a given exposure.

Lens Aperture - opening in the camera that allows light to pass through the l ens to strike the film.

Focal Length - actual focal length of the lens.

F-Number (also known as F-stop or relative a perture) - number defined as the focal length of the lens divided by the effective diameter of the aperture (a smaller F-number implies a larger diameter lens and therefore more light available for high-speed photography).

ISO Speed - refers to the "film speed" or sensor sensitivity to light (higher ISO s mean the sensor (or film) is more sensitive to light, while lower ISOs mean the sensor will be less sensitive to light).

Metering Mode - refers to the way in which a camera determines the exposure (the following modes can be used: unknown, average, center weighted average, spot, multi-spot, pattern, partial, other).

Flash Mode - flash mode used to produce this picture (on/ off/ auto, fired/ did not fire, red-eye reduction, retouch).

Bitmap Type - type of memory organization and image file format used to store digital images, measured in bits per pixel (image pixels are generally stored with a color depth of 1, 4, 8, 16, 24, 32, 48, or 64 bits per pixel).

Color Space – color space used to create this image: sRGB (standard red/green/blue), CMYK (cyan/magenta/yellow, K stands for black), HSL (hue/saturation/lightness), etc.

To close the additional image parameters click the Less Info... button. All the strings are always displayed in the File Info section, but some of them may contain no values depending on the still camera you used, image file format and camera settings.


Edit Tab

The Edit Tab is situated on the left side of the Program Window and is used to edit images using the available editing tools, adjustment menu and image histogram. It consists of the following sections:

Navigator

Image Histogram

Editing Tools

Adjustment Menu

Navigator

It is used to navigate through the photo that is displayed within the Preview Area while using zoom. In the navigator you can see the entire picture and the part of it that is currently shown within the preview area. So if you zoom in the image, the image part visible in the preview area will be displayed within the white-outlined rectangle in the navigator.

The navigator window can be hidden and then shown by clicking the upper bar.

Image Histogram

The image histogram is used to repr esent the distribution of colors in th e edited image, derived by counting the number of pixels of each of given set of color ranges in a typical color space. To learn more on Using Image Histogram refer to the corresponding section.

Editing Tools

Here you can find the tools you can use for editing your im ages, such as: Red Eye Correction, Retouch, Brush and Crop.

Adjustment Menu

Here you can make adjustments to the tonal range and properties of the represented colors, apply one of the available ready presets, add a vignette or watermark to your images.

At the bottom of the Edit Tab the Undo button is used to reverse the last command and Redo is used to repeat the last command. Save is used to save the edited photo under the same name and into the same folder. Reset is used to bring the edited photo to its original state. After saving the changes, no action can be undone or reset.


Print Tab

The Print Tab is situated on the left side of the Program Window and is used to adjust print settings. It consists of the following sections:

Printer Settings

Position

Scaled Print Size

Printer Settings

It is used to select a printer and adjust common print settings . Pressing the Page Setup... button you can adjust page settings that fully depend on the printer you are going to use.

Position

It is used to set the image position on the s heet of paper . You can place the image in the center of the sheet or enter the needed values for distance from the upper and left edges.

Scaled Print Size

It is used to set the image size on the sheet of paper. You can fit the image into the sheet of paper or adjust its size.

At the bottom of the Print Tab the Print button is used to start printing the image and Reset Settings is used to restore the default print settings. To learn how to print your photos refer to the Printing Images section.


Express Menu

The Express Menu is used to facilitate the access to the ma in functions of the program. The areas of the Program Window that offer it are Preview Area, Navigation Panel and the Full Screen view mode. The Express Menu can be accessed by right-clicking an element within one of these areas.

Preview Area with the Browse Tab Opened

Edit - used to open the Edit Tab and edit images using the available editing tools, adjustment menu and image histogram.

Reset - used to bring the edited photo to its initial state. If you have already saved the changes made, this option will not be available.

Save - used to save the currently edited photo.

Save As - used to save the currently edited photo under a different name or into another folder.

Preview Area with the Edit Tab Opened & Navigation Panel

Undo - used to reverse the last performed command.

Redo - used to repeat the last undone command.

Reset - used to bring the edited photo to its initial state. If you have already saved the changes made, this option will not be available.

Save - used to save the currently edited photo.

Save As - used to save the currently edited phot o under a different name or into another folder.


Key Board Shortcuts and Mouse Manipulation

The S4B Photo Studio interface allows you to use keyboard shortcuts to facilitate the access to the main program features. They are represented in the table below:

 | Program Window
Ctrl + Z | Use it to reverse the latest performed command
Ctrl + Y | Use it to repeat the latest undone command
Ctrl + O | Use it to open the needed folder and load all the photos from it into the program for editing
Ctrl + S | Use it to save the currently edited photo
Shift + Ctrl + S | Use it to save the currently edited photo under a different name or into another folder
Ctrl + B | o open the Browser TabUse it t
Ctrl + E | Use it to open the Edit Tab
Ctrl + P | Use it to open the Print Tab
Ctrl + F | Use it to switch to the Full Screen view mode, when the image occupies the entire screen area
Ctrl + 1 | ze your image, so that the entire image fits within the Preview Area Use it to resi of the program window
Ctrl + 2 | Use it to view the edited photo in full size
Ctrl + 3 | Use it to view the edited photo at 300% zoom
Ctrl + Tab | that will display the original and the Use it to split the Preview Area into two parts image after performing some editing operations
F1 | Use it to open the S4B Photo Studio help file
Alt + F4 | Use it to finish work with the program and exit
 | Folders
Top Arrow | Use it to move up within the folders tree
Bottom Arrow | Use it to move down within the folders tree
Right Arrow | Use it to open the selected folder, if it contains some other folders
Left Arrow | Use it to close the selected folder, if it contains some other folders
Page Up | Use it to move to the top of the tree - to the very first folder
Page Down | Use it to move to the bottom of the tree - to the last folder
Alt + Left Arrow | Use it to move to the parent folder
 | Thumbnails
Enter | Use it to switch to the v one image is displayed within the Previewiew mode when Area
 | Full Screen
Left Arrow | Use it to show the previous image
Right Arrow | Use it to show the next image
Esc | Use it to switch to the previous view mode
 | Edit Tab
Left Arrow | Use it to decrease the value of the selected settings slider
Right Arrow | Use it to increase the value of the selected settings slider
 | Editing Tools
Esc | Use it to disable the current editing tool and prevent it from fulfilling a certain task
E | Use it to activate the Red Eye Correction tool and open its settings
R | Use it to activate the Retouch tool and open its settings

Note, before using the keyboard shortcuts, make sure that the corresponding section of the program interface is enabled.

Mouse Manipulation

You can also use the scroll whee l (i.e. mouse wheel) to perfo rm some actions within the S4B Photo Studio interface:

Zoom – if the mouse cursor is situated within the Preview Area when the Edit Tab is opened or within the Navigator window, by scrolling the mouse wheel you can zoom in and out the displayed photo.

Navigation – in the Preview Area when the Browse Tab is opened you can scroll thumbnails, if one of them is selected. If one of the folders in the Folders Tree is selected, you can scroll the whole folders list.

Edit Tab – if you press the Ctrl key and click with the mouse one of the settings sliders, you can change the default value to the needed one by scrolling the mouse wheel.


Working With S4B Photo Studio

Working with S4B Photo Studio is very easy, as you don't need to open additional windows to perform a certain editing task - everything is displayed and can be done within the only Program Window. The procedure is the following:

1) Add a folder with images to the program Add images using one of the available meth ods described in the Adding and Previewing Photos chapter. See the full list of supported image file formats.

2) Perform quick editing operations After selecting a folder all the image files from it will be displayed in the Preview Area as thumbnails. Rotate selected images in the direction you want, apply auto-correction to them.

3) Edit the selected photo accurately Double-click an image and it will fill the complete Preview Area, the Edit Tab will open. Adjust the needed zoom level. Correct the whole image or only a part of it, remove the red-eye effect, clone a selection, crop your image, add a vignette or watermark. You can also apply one of the available ready presets.

4) Compare the edited photo before and after editing Press the After | Before button to see the changes in com parison with the original photo.

5) Save adjustments as a preset Open the Presets section of the Adjustment Menu and click the Save Adjustments as Preset button. Enter a title for your preset in the opened window and click the OK button. The new preset will appear in the list for you to use it in the future.

6) Print the edited photo Switch to the Print Tab, adjust the print settings and print your photo.

7) Save edited images Save images using one o f the available methods described on the Saving Edited Photos page.


Adding and Previewing Photos

Before you can edit your photos, you should find them on your hard disk drive or removable medium and import to the program. To do that you can use the drag-and-drop function, Main Menu or folders tree situated on the Browse Tab.

Adding Photos

Using drag-and-drop function If you find the necessary images in Windows Explorer of your PC you can select one of them left-clicking it and drag the image to the S4B Photo Studio icon on the desktop and drop it there.

After that the program will be launched with all the photos from this folder loaded to it, and the added image will be displayed in the Preview Area.

It's also possible to drag and drop the images from Windows Explorer to the launched S4B Photo Studio, when no folder containing image files is selected.

Using main menu Click the File section of the Main Menu and select the Open option. Then the following window will pop up and let you find the needed image file.

If you have already opened the image you want to edit once again or you'd like to open the folder containing it, select the Open Recent option of the Main Menu. All the image files stored in the same folder with the photo you have recently opened will be loaded to the program and seen within the Navigation Panel.

Using folders tree It's very easy to find th e photos you want to add using the Folders Tree situated on the Browse Tab. To do that you should know where the needed photos are stored on your PC or a removable medium. Here you can see the entire structure of the files and folders system on your computer. As soon as you find the wanted folder, click it and its content will be displayed within the Navigation Panel, where you can find the image you want to edit.

Previewing Added Photos

Changing view modes

After you found and added t he necessary folder to the program, all of the images from it will be seen within the Navigation Panel as a sequence and within the Preview Area as thumbnails. Click one of the photos and it will occupy the whole Preview Area. By double-clicking the image or pressing the appropriate button on the toolbar you can switch to the Full Screen view mode. To return press the Esc key or click the Close Full Screen button.

Navigating through photos To navigate through images from the imported folder you can use the Navigation Panel. You can also open the Browse Tab to view all the photos in the folder as thumbnails and find the needed one.

Rotating photos It's possible to rotat e photos in the Preview Area counter clockwise and clockwise by 90 degrees. For this purpose use the Rotate CCW or Rotate CW option of the Edit section in the Main Menu, the corresponding option of the Express Menu, or the buttons situated on the toolbar and displayed on the right. The Rotate function will be disabled, if one of the Editing Tools is being used. In order to rotate your image, press the appropriate tool button at the Edit Tab to hide the settings area and deactivate the tool.

Zooming in and out To zoom the edited image in the Preview Area select the appropriate option of the View sectionin the Main Menu:

Fit - use it to resize your image, so that it fits within the preview area.

x1 - use it to view the edited photo in full size.

x3 - use it to view the edited photo at 300% zoom.

You can also use the slider situated on the toolbar and d isplayed on the right. The following

options are available: one on screen, full size, 200%, 300%, 400%, 500%.

It's also possible to zoom in and out the displayed image by scrolling th e mouse wheel, if the mouse cursor is situated within the Preview Area while editing or within the Navigator window at the Edit Tab.

While using the zoom function you can have a look at the Navigator window situated in the Edit Tab, where you can see the image area displayed at the moment within the Preview Area. So if you zoom in the image, the image area visible in the preview area will be displayed within the white-outlined rectangle in the navigator.

While zooming in a photo some parts of the im age won't be seen within the Preview Area, as this option zooms in to the center of the image. As soon as you zoom in the edited image, the mouse cursor will turn into a hand. To move the image and see the area you need, click the mouse button and, without releasing it, drag the hand cursor in the desired direction.


Supported Image File Formats

Image file formats a re standardized means of organizing and storing imag es. Image files are composed of either pixel or vector (geometric) data. So image formats ar e divided into three groups: raster formats, vector formats and metafile formats (include both vector and bitmap components).

Raster formats store images as bitmap that is a data structure representing a generally rectangular grid of pixels, or points of color. A bitmap is technically characterized by the width and height of the image in pixels and by the number of bits per pixel. The greater the number of rows and columns is, the greater the image resolution is, and the larger the file is. Also, each pixel of an image increases in size when its color depth increases — an 8-bit pixel (1 byte) stores 256 colors, a 24-bit pixel (3 bytes) stores 16 million colors, the latter is known as truecolor. Image compression uses algorithms to decrease the size of a file.

There are two types of image file compression algor ithms: lossless and lossy. Lossless compression algorithms reduce file size without losing image quality, though they are not compressed into a file with the same small size as a lossy compression file. When image quality is valued above file size, lossless algorithms are typically chosen. Lossy compression algorithms take advantage of the inherent limitations of the human eye and discard invisible information.

Most of the commonly used raster image file and metafile formats are supported by S4B Photo Studio:

atForm | Usage | Info Stored | Quality | Read/Write
BMP | Microsoft Windows |  | Typically | +/+
(Wi ndows | OS |  | uncom pressed, |
Bitmap) | Widely accepted |  | bestrge, hence la image quality |
ICO (Windows Icon) | dows Microsoft Win OS | One or more small images at multiple sizes and color depths |  | +/-
WMF | Microsoft Windows | Layout of a printed page | 6-bit WMF is a 1 | +/+
(Windows | OS | containing text, objects and | format, EMF is a |
Metafile) |  | images (line-art, illustrations, content | newer 32-bit version |
EMF |  | created in drawing or |  |
Enhanced ( |  | presentation applications) |  |
le)Metafi |  |  |  |
JPEG, JPG (Joint Photographic Expert Group) | -In digital cameras and other photographic al f image capture devices -For storing and transmitting photographic images on the WWW -Best for the fin distribution o photographic images |  | -Lossy format 8 bits per color (red, ed green, blue) for a 24-bit total -Generational degradation when repeatedly edit and saved -Small files | +/+
GIF | -Suitable for storing |  | 8-bit -Limited to an | + / +
(Graphics | graphics with relatively |  | 6palette, or 25 |
hange) Interc | few colors such as |  | colors |
 | simple diagrams, |  | -Lossless |
 | shapes, logos and |  | t iscompression tha |
 | scartoon style image |  | tive when more effec |
 | to-Widely used |  | large areas have a |
 | eprovide imag |  | single color, and |
 | animation effects |  | ineffective for detailed images or dithered |
 |  |  | 1 images -Small files |
PNG (Portable Network ics)Graph | -Best for WWW -Fully streamable with a progressive display option -Best suited for editing pictures | -Gamma and chromaticity data for improved color matching on heterogeneous ale, platforms -Indexed-color, graysc and truecolor images are supported | Lossless | + / +
TIF, TIFF | Not widely supported | - Size, definition, image- | Lossy and lossless | + / +
(Tagged Image | by web browsers, but | data arrangement, applied | (if lossless, editing |
File Format) | ccepted as awidely a photographic file standard in printing industry | pression h image com -Can handle device-specific color space, suc as the CMYK | and re-saving without losing image quality) |
EXIF | In digital cameras | -Date and time information | Lossy and lossless | + / +
(Exchangeable |  | -Camera settings | the depending on |
Image File |  | r previewing -Thumbnails fo | file format used |
)format |  | the picture -Descriptions -Copyright information | (JPEG, TIFF Rev. 6.0, and RIFF WAV ) |
PCX | Used for graphic data | oring up to Capable of st | Compressed | + / +
(ZSoft | storage and exchange | 256 colors | (lossless Run- |
Paintbrush File | in desktop publishing |  | ngth Encoding) Le |
Format) | system |  | ssedand uncompre |
TGA | The most universally | storing image -Capable of | Compressed | + / +
(Truevision | supported 24-bit file | data with color depth of 1– | (lossless Run- |
Targa File | for PCformat | 32 bits per pixel | )Length Encoding |
t)Forma | applications | ,-Supports color maps 2 | ssedand uncompre |
 |  | alpha channel, gamma |  |
 |  | stamp value, postage |  |
 |  | image, textual information, |  |
 |  | and developer-definable |  |
 |  | data |  |
RAS | Widely used and | -Capable of storing black- | Compressed | + / +
(Sun Raster | distributed particularly | and-white, greyscale, and | ess Run(lossl |
Image File | on systems running on | bitmapped data of any color | Length Encoding) |
Format) | the Unix OS | color depth -Use of color maps 2 supported | ssedand uncompre |
RAW, CRW, | pment In digital equi | -File header, | -Higher image | + / -
CR2, RAF, | (like cameras or film | -Camera sensor metadata, | uality, q |
DNG, MEF, | scanners) as 'digital | ta,-Image metada | -Finer conversion |
NEF, ORF, | negatives' | ail -Image thumbn | g, parameter settin |
ARW. |  |  | le color -Selectab space, -More information |


Editing Images

The editing process within the S4B Photo Studio interface can be performed in different ways:

Using Editing Tools

Editing tools can be used to adjust colors in some image areas, clone a selection or crop the edited image.

Using Adjustment Menu

The adjustmen t menu lets you correct your whole image, select one of the ready presets, add a vignette or watermark.

Using Image Histogram

The image histogram s hows the distribution of colors in the selected image and allows you to adjust them.


Using Editing Tools

S4B Photo Studio offers a number of editing too ls for you to perform some operations. They are situated at the Edit Tab and can be accessed by clicking the appro priate tool button. After that you'll see all the settings of the tool you have just selected. For more information on the tools settings see the corresponding chapters.

Red Eye Correction Tool This tool allows you to easily remove the red-eye effect in a digital photo caused by a camera's flash reflecting on a person's retina and c orrect eye color.

Retouch Tool This tool allows you to clone or paint over some objects depicted in an image.

Brush Tool This tool allows you to make some color adjustments to certain areas of your i mage, rather than to the entire image.

Crop Tool This tool allows you to select an image area and discard everything outside this area. You can also rotate, adjust width and height and zoom this area in.

Red Eye Correction Tool

The Red Eye Correction tool allows you to easily remove the red-eye effect in a digital photo caused by a camera's flash reflecting on a person's retina and correct the eye color.

Settings

After pressing the Red Eye button you'll see all the available tool settings and the mouse cursor within the Preview Area will be accompanied by an applying area that looks like a white-outlined ci rcle (see the figure on the right). You can select the Size of the applying area by dragging the indicator of the appropriate slider or entering a value into the box next to it and pressing the Enter key. The higher value you set, the larger applying area of the tool will be.

Using

To correct red-eye effect hover the mouse cursor over one of the eyes so that the applying area covers it and click the left mouse button. The retina color will be corrected.

Retouch Tool

The Retouch tool allows you to clone or paint over some objects depicted in an image.

Settings

After pressing the Retouch button you'll see all the available tool settings and the mou se cursor within the Preview Area will be accompanied by an applying area that looks like a white-outlined cir cle. You can change the tool settings by dragging the indicator of the appropriate slider or entering a value into the box situated next to it and pressing the Enter key. The following tool settings can be adjusted:

Size - select the size of the applying area; the higher value you set, the larger applying area of the tool will be.

Softness - select the opacity level of the applying area (0 corresponds to null visibility, whereas 100 - to full visibility).

Using

To apply the Retouch tool you should hover the mouse cursor over one of the objects in your photo, so that the applying area covers it, click the left mouse button and without releasing it move to the needed place. The image part covered by the applying area will be 'copied' and transferred to another place. So you can paint over the objects you don't need or multiply them.

Brush Tool

The Brush tool allows you to make some color adjustments to certain areas of your im age, rather than to the entire image.

Settings

After pressing the Brush button you'll see all the available tool settings and the mouse cursor within the Preview Area will be accompanied by an applying area that looks like a white- outlined circle. You can change the tool settings by dragging the indicator of the appropriate slider or entering a value into the box situated next to it and pressing the Enter key. The following tool settings can be adjusted:

Paint Mode - select this brush mode to a djust color and tone in certain areas. Erase Mode - select this brush mode to correct the areas that have been affected by the Brush tool in the paint mode bringing them into their initial state.

Size - select the size of the applying area; the higher value you set, the larger applying area of the tool will be.

Softness - select the opacity level of the applying area.

Brightness - is used to ad just the relative lightness or darkness of the color, i.e. the tonal range of an image area.

Contrast - is used to correct the difference in visual properties that makes an object in an image distinguishable fro m other objects and the background.

Blur - is used to reduce contrast between adjacent pixels by lightening pixels next to well-defined edges and shadows, visually smoothing and soften ing the image areas.

Sharpen - is used to focus blurry image areas by increasing the contrast of adjacent pixels.

Saturation - is used to correct the strength (purity) of colors. Saturation represents the amount of grey in proportion to the hue, measured as a percentage from -100 (grey) to 100 (fully saturated).

Using

To apply the Brush tool you should hover the mouse cursor over any area in your photo, so that the applying area covers it, and click the left mouse button. In this way you can adjust color properties in some areas of the image.

Crop Tool

The Crop tool allows you to select an im age area and discard everything out side this area. You can also rotate, adjust width and height and zoom this area in.

Using

After pressing the Crop button you'll see all the available tool settings and the image will beenclosed in a gray-outlined rectangle. As soon as you hover the mouse cursor over its edge, the rectangle will become active and the mouse cursor will turn to a double-sided arrow. So you can zoom in an object displayed in the photo.

As soon as you move your mouse cursor outside the rectangle, it will turn to a round arrow - that allows you to rotate the image in the direction you want.

Within the rectangle you can use a hand cursor - that can be used to drag the image till the needed area is situated within the rectangle.

To apply changes made and hide the crop settings area, click the left button, whereas after pressing the right button all the changes made will be discarded.

Settings

You can change the tool settings by dragging the indicator of the appropriate slider or entering a value into the box situated next to it and pressing the Enter key. The following tool settings can be adjusted:

Angle - rotation angle of the edited image.

Width -width of the cropped image part.

Height - height of the cropped image part.

Proportion Constraint - check this box to crop your image preserving the aspect ratio.

Apply - after pressing this button all the cha nges made will be seen within the Navigator window.

Cancel - after pressing this button the changes made will be discarded.


Using Adjustment Menu

The Adjustment Menu sit uated at the Edit Tab lets you correct your whole image, select one of the ready presets, add a vignette or watermark.

The Adjustment Menu represents a so-called accordion menu, which contains a vertically stacked list of sections. Each of them can be opened by clicking it. Within the opened section you'll see settings that can be changed. To increase a setting value drag the indicator of the corresponding slider to the right, whereas to decrease a value move the indicator to the left. It's also possible to enter the needed value into the appropriate box via keyboard. To apply the entered value to the edited image, press the Enter key.

The Adjustment Menu includes the following sections:

Presets

White Balance

Tone Corrections

Brightness / Contrast

Color Balance

Detail

Smart Corrections

Vignettes

Watermark

Presets

These presets represent ready parameters combinations. The result displayed after applying one of them can also be adjusted by changing color and tone settings.

Original

This is the initial image. You can use this option to swith to the original photo after applying one of the presets.

Aged Photo

This preset gives your photo an antique or aged look.

Black and White High Contrast

This preset makes your photo black and white maintaining its sharpness and contrast.

Cold Tone

This preset adjusts your image to cold colors.

Sepia Tone

This preset transforms image spectrum to brownish which imitates faded photos and yellowish photo paper. It gives your image an antique appearance.

Sharp Details

This preset enhances images that lack sharp detail and depth.

Soft Focus

This preset gives the appearance of blurring the image while retaining sharp edges. It eliminates blemishes, and in general produces a dream-like image.

Noon Day Sun Effect

This preset lets colors bleed out and leaves images flat or blown out.

Use the Save Adjustments as Preset button to save the adjusted settings as a new preset. After that it will be included to the list and you will be able to use it in the future.

White Balance

Temperature Is used to adjust your image to warm or cold colors. Negative values represent cold colors and positive values transform to warm colors correspondingly.

Tint

Is used to adjust colors by adding white to a pure hue.

Tone Dropper

This button is used to activate the tone dropper that picks a standard color and helps you calculate temperature and tint values according to it. Using the slider next to the button you can set the needed size of the rectangular area.

Use the Auto button to adjust settings automatically. Use the As Shot button to restore the original settings.

Tone Corrections

Blacks

Is used to adjust the black clipping point of an image. Increasing Blacks expands the areas that are mapped to black. The greatest change is in the shadows, with much less change in the midtones and highlights.

Fill Light

Is used to restore shadow detail. Increasing the value allows you to digitally shine light on dark areas and bring out detail that would otherwise be obscured without affecting areas that should be black based on the Blacks setting.

Exposure Is used to adjust the white clipping point of an image (i.e. the overall image brightness), if your image is overexposed (too much light) or underexposed (too little light). Decrease Exposure to darken the image and increase it to brighten the image.

Recovery Is used to restore highlights detail. By using this simple slider, you can easily bring back some detail from most images without changing the overall exposure or color balance. While certainly it's no substitute for getting the shot right, it's always nice to be able to get back that tiny bit of extra detail you might otherwise lose.

Saturation

Is used to correct the strength (purity) of colors. Saturation represents the amount of grey in proportion to the hue, measured as a percentage from -100 (grey) to 100 (fully saturated).

Use the Auto button to adjust settings automatically. Use the Reset button to restore the original photo.

Brightness/Contrast

Brightness

Is used to adjust the relative lightness or darkness of the color, i.e. the tonal range of an image.

Contrast

Is used to correct the difference in visual properties that makes an object in an image distinguishable from other objects and the background.

Use the Auto button to adjust settings automatically. Use the Reset button to restore the original photo.

Color Balance

Cyan – Red

Cyan and red are chromatically opposite colors. Cyan is used to refer to the color obtained by mixing equal amounts of green and blue light or the removal of red from white light.

Magenta – Green

Magenta and green are chromatically opposite colors. Magenta is used to refer to the color obtained by mixing equal amounts of red and blue light or the removal of green from white light.

Yellow – Blue

Yellow and blue are chromatically opposite colors. Yellow is used to refer to the color obtained by mixing equal amounts of red and green light or the removal of blue from white light.

The boxes below are used for the same purpose but using keyboard. The 1st box stands for "Cyan - Red", the 2nd for "Magenta - Green", the 3rd for "Yellow - Blue".

Use the Reset button to restore the original photo.

Detail

Blur

Is used to reduce or increase contrast between adjacent pixels by lightening or darkening pixels next to well-defined or blurry edges and shadows, visually smoothing and softening or sharpening the image.

Use the Reset button to restore the original photo.

Smart Corrections

Clarity

Is used to add depth to an image by increasing local contrast.

Vibrance

Is used to increase the saturation only in the areas of an image that need it most. Less saturated areas automatically receive the most attention while parts of an image that already have some degree of saturation are affected less.

Use the Reset button to restore the original photo.

Vignettes

This section is used to reduce or increase the brightness of an image at the periphery compared to the image center. This effect helps you draw attention to the center of the photo.

Amount

Is used to set the brightness level. Positive values increase brightness making the image lighter and negative values decrease it making the image darker.

Midpoint

Is used to set the central area size that will stay unaffected.

Roundness

Is used to set the roundness of the central area.

Feather

Is used to set the transparency level of the central area edges.

Use the Reset button to restore the original photo.

Watermark

This section is used to add a watermark to your photos and protect your copyrights. You can add a text or an image that will be inserted as a watermark.

Adding Image Watermark

Add Image

Check this box to insert an image watermark.

Browse

Click this button to search for the image you want to use as a watermark. After loading the needed image file the path to it will be displayed in the field next to the button.

Keep Original Size

Check this box to preserve the original size of the image you are using as a watermark. If you keep it unchecked, you will be able to change the image size in the Preview Area by dragging its edges.

Opacity

Use this slider to set the transparency level of the image you are using as a watermark.

Adding Text Watermark

Add Text

Check this box to insert a text watermark. Enter the watermark text into the field below.

Opacity

Use the Opacity slider to set the transparency level of the watermark text.

Adjust the available text settings

Font

Text - select a font type for your watermark text.

Style - apply a decoration style to your text: bold, italics, underlined, strikeout.

Color

Color - select a solid color for your watermark text.

Gradient - select gradient colors and set the gardient angle.

Shadow

Check the Enabled box to add shadow to the watermark text.

Angle - select a shadow angle.

Distance - set a distance between the watermark text and its shadow.

Softness - set a softness level of the shadow.

Opacity - set the opacity level of the shadow.

Stroke

Check the Enabled box to add stroke to the watermark text.

Color - select a color for the stroke.

Thickness - set a thickness value for the stroke of the watermark text.


Using Adjustment Menu

The Image Histogram is used to represent the distribution of colors in the edited image, derived by counting the pixels of each given set of color ranges in a typical color space. It is situated under the Navigator area within the Edit Tab.

The Image Histogram is minimized by default, but it can be maximized with one mouse click and will look like shown in the figure on the left.

In the both view modes the following parameters are displayed at the bottom of the Image Histogram:

ISO Speed - refers to the "film speed" or sensor sensitivity to light (higher ISOs mean the sensor (or film) is more sensitive to light, while lower ISOs mean the sensor will be less sensitive to light).

Focal Length - actual focal length of the lens.

F-Number (also known as F-stop or relative aperture) - number defined as the focal length of the lens divided by the effective diameter of the aperture (a smaller F-number implies a larger diameter lens and therefore more light available for high-speed photography).

Exposure Time - time during which the film or sensor was exposed to light, given in seconds.

The Image Histogram represents colors overlay and is divided into four parts, each of them corresponds to Blacks, Fill Light, Exposure and Recovery. You can learn more about them in the Using Adjustment Menu chapter.

To change one of the above mentioned settings, direct your mouse cursor to the needed area of the Image Histogram. It will turn into a two-directional arrow pointer. So you can drag it to the left or right to adjust Blacks, Fill Light, Exposure and Recovery. Moving the arrow pointer to the right you can increase a value, so to decrease it, move the arrow pointer to the left. The current value will be displayed in the right lower corner of the image histogram. It corresponds to the appropriate value in the Tone Correction section of the Adjustment Menu.


Saving Edited Photos

The S4B Photo Studio lets you save images not only one by one after editing them but also all at once.

Saving All at Once

After you edited your first photo and clicked the next/ previous photo thumbnail within the Navigation Panel or in the Preview Area, the following confirmation dialog will appear for you to select one of the available options:

Button | Description
Save As... | Is used to save the edited photo with all the changes made under another name or
 | into another directory and go to the next or previous image in the opened folder.
Not Save | Is used to discard all the changes made to the photo during the editing process
 | and go to the next or previous image in the opened folder.
Cancel | Is used to cancel the saving process and continue editing the image.

Saving One by One

You can also save your image right after editing it using one of the following saving options:

Using the main menu In the File section of the Main Menu you can select the Save and Save As options to save the currently edited photo into the same file or under a different name and/or into another folder.

As soon as you choose the Save As option, the following window will pop up to let you select the location and type in a file name.

Via keyboard Use Ctrl+S key combination to save the currently edited image into the same file. Use Shift+Ctrl+S to save the currently edited image under a different name or/and into another folder.

Using the express menu

To access the express menu, right-click the edited image in the Preview Area and select one of the following options: Save - use it to save changes to the edited photo. Save As - use it to save the edited photo under a different name or/and into another folder.


Printing Images

S4B Photo Studio also allows you to print the edited images. To do that open the Print Tab, select in the Navigation Panel the image you want to print and adjust the following settings:

Printer Settings

Printer - select a printer if you have several connected to your system.

Copies - select a number of copies.

Paper Format - select the format of the paper you are going to use from the list of available ones.

Orientation - select between "book" and "album".

Page Setup... - adjust page settings that fully depend on the printer you have selected.

Position

Center image - check this box to place the image in the center of the sheet.

Top - use it to adjust the image position relative to the upper sheet edge.

Left - use it to adjust the image position relative to the left sheet edge.

Scaled Print Size

Scaled to fit media -check this box to fit the image into the sheet of paper.

Scale -set the scale in percent.

Width -set the image width in mm.

Height -set the image height in mm.

Print Resolution -in this field the print resolution is displayed which fully depends on the parameters described above.

By clicking the mm link you can change the measurement unit to inch and vice versa.

To restore the defaults press the Reset Settings button.

You can also use the Preview Area to adjust the position and size of the image you are going to print. Special rules with cm or inch gradation will help you do that. To change the image size direct the mouse cursor to one of the edges - the mouse cursor turns to an arrow - and drag it to the left or right altering the image width or height. To change the image position direct the mouse cursor to the center of the image - the mouse cursor turns to a hand - and drag it in the direction you need.

As soon as everything is ready, press the Print button to start the process.